	Program Read_testout
C...................................................May 2021
       CHARACTER*64 infile,outfile
	CHARACTER*2 ANN,AMN,ADY
C
	infile='d:\Arts\Storm\Shub\Data\testoutnn.txt'
	outfile='testreadnn.txt'
C
	DO 50 nn=1,25
	call blet2(nn,ANN)
	infile(32:33)=ANN
	OPEN(11,file=infile,action='READ')
	outfile(9:10)=ANN
      OPEN(12,file=outfile)
C
	DO kk=1,192
	read(11,*,end=51) kyear,kmn,kdy,ut,isym,rfi
	write(*,101) kyear,kmn,kdy,ut,isym,rfi
	call blet2(kmn,AMN)
	call blet2(kdy,ADY)
	write(12,101) kyear,amn,ady,ut,isym,rfi
	ENDDO
c	
   51 close(unit=11)
      close(unit=12)
   50 CONTINUE
      pause ' '
	stop
  10  format(14(/))
  20  format(i4,4(1x,i2.2),2x,f5.1,1x,i3,3x,4(3x,f7.2))
  21  format(2(2X,I2),3X,I4,3X,F6.2,2X,F7.2)		   !TG
 100  format(1x,'Day Month Year      UT     SYM_H')
 101  format(1X,I4,2(1X,A2),1X,F5.2,1X,I4,1X,F6.3)
	end			